<?php
/**
 * Clase FN para ArArqueoDetalleDepositoFN
 *
 * @package    
 * @subpackage ArArqueoDetalleDepositoFN
 * @author     Willy
 * @version    SVN:: ArArqueoDetalleDepositoFN.class.php,v 1.1 2020-06-23 20:22:33 william.taype Exp $
 */
class ArArqueoDetalleDepositoFN extends BaseArArqueoDetalleDepositoFN
{
	 const Fecha = "ar_arqueo_detalle_deposito.Fecha";
	 const Fecharegistro = "ar_arqueo_detalle_deposito.Fecharegistro";
	 
    /* Establece el condicion de filtro de la lista resultante */
    public function addCondition( $s_Const, $s_Operator, $u_Value, $b_ComSimple = true )
    {
        $this->a_Condition[] = array( "COLUMN" => $s_Const, "OPERATOR" => $s_Operator, "VALUE" => $u_Value, "FLAG_COMILLAS" => $b_ComSimple );
    }
	public function getDescripcionEstado( $estado ){
		$descripcion = "";
		if($estado == "C"){
			$descripcion = "APROBADO";
		}else if ($estado == "P"){
			$descripcion = "PENDIENTE";
		}else if ($estado == "R"){
			$descripcion = "RECHAZADO";
		}else{
			$descripcion = $estado;
		}
		return $descripcion;
	}
	
	 public function selectSumaRows()
  {
    try
    {
      $where = $this->buildConsult();

      $con = Conexion::getConexion();
      $sql = "SELECT sum(subtotal) as suma FROM ar_arqueo_detalle_deposito WHERE  ".$where;
      //echo $sql;
      $suma = 0;
        $oLink = method_exists($con, 'getResource')?$con->getResource():$con;
        $result = mysql_query($sql, $oLink);
      $num_rows = mysql_num_rows($result);
      if($num_rows)
      {
       while ( $a_SQLRow = mysql_fetch_object( $result ) )
        {
            $suma = $a_SQLRow->suma;
        }
      }
      return $suma;
    }catch ( Exception $o_Error ){
      throw new Exception($o_Error->getMessage().' en '.$o_Error->getFile().' linea '.$o_Error->getLine());
    }
  }
	
}